CREATE TABLE PURCHASE_BY_PRODUCT
(
  T_DATE,      
  PRODUCT,     
  DEPT,        
  ACTUAL_SUM,  
  PURCHASE_SUM,
  PROFIT_SUM,  
  QTY,         
  CONSTRAINT PURCHASE_BY_PRODUCT_PK 
    PRIMARY KEY (T_DATE, PRODUCT, DEPT)   
)
ORGANIZATION INDEX COMPRESS 2
NOLOGGING
STORAGE(INITIAL 2M NEXT 2M)
AS
SELECT 
  sales.T_DATE,
  sales.PRODUCT,
  sales.DEPT,
  cast(sales.ACTUAL_SUM as number(19,2)),
  cast(sales.PURCHASE_SUM as number(19,2)),
  cast(sales.PROFIT_SUM as number(19,2)),
  cast(sales.QTY as number(19,3))
  FROM (SELECT /*+ FULL(TR) */
               TR.DEPT as DEPT,
               TR.PRODUCT as PRODUCT,
               TR.DIRECTION as DIRECTION, 
               TRUNC(TR.FACT_DATE) as T_DATE, 
               SUM(( CASE WHEN (TR.SIGN='+') THEN -TR.ACTUAL_SUM 
                          ELSE TR.ACTUAL_SUM END )) as ACTUAL_SUM, 
               SUM(( CASE WHEN (TR.SIGN='+') THEN -TR.PURCHASE_SUM 
                          ELSE TR.PURCHASE_SUM END )) as PURCHASE_SUM,
               SUM(( CASE WHEN (TR.SIGN='+') THEN -(TR.ACTUAL_SUM-TR.PURCHASE_SUM)
                          ELSE (TR.ACTUAL_SUM-TR.PURCHASE_SUM) END )) as PROFIT_SUM,
               SUM(( CASE WHEN (TR.SIGN='+') THEN -TR.QTY 
                          ELSE TR.QTY END )) as QTY 
          FROM DB1_TRANSFER TR 
      GROUP BY TRUNC(TR.FACT_DATE),TR.DEPT,TR.PRODUCT,TR.DIRECTION) sales
 WHERE (sales.DIRECTION='SL')