CREATE TABLE PURCHASE_BY_GRUPPA
(
  T_DATE,      
  GRUPPA,     
  DEPT,        
  ACTUAL_SUM,  
  PURCHASE_SUM,
  PROFIT_SUM,  
  QTY,         
  CONSTRAINT PURCHASE_BY_GRUPPA_PK 
    PRIMARY KEY (T_DATE, GRUPPA, DEPT)   
)
ORGANIZATION INDEX COMPRESS 2
NOLOGGING
STORAGE(INITIAL 2M NEXT 2M)
AS
SELECT 
      PT.T_DATE,
      G.PID,
      PT.DEPT,
      cast(SUM(PT.ACTUAL_SUM) as number(19,2)),  
      cast(SUM(PT.PURCHASE_SUM) as number(19,2)),
      cast(SUM(PT.PROFIT_SUM) as number(19,2)),  
      cast(SUM(PT.QTY) as number(19,3))
  from PURCHASE_BY_PGRUPPA PT, DB1_CLASSIF G
 where (G.ID=PT.PGRUPPA)
 GROUP BY PT.T_DATE, G.PID, PT.DEPT