CREATE TABLE PURCHASE_BY_PGRUPPA
(
  T_DATE,      
  PGRUPPA,     
  DEPT,        
  ACTUAL_SUM,  
  PURCHASE_SUM,
  PROFIT_SUM,  
  QTY,         
  CONSTRAINT PURCHASE_BY_PGRUPPA_PK 
    PRIMARY KEY (T_DATE, PGRUPPA, DEPT)   
)
ORGANIZATION INDEX COMPRESS 2
NOLOGGING
STORAGE(INITIAL 2M NEXT 2M)
AS
SELECT  
      PT.T_DATE,
      T.LOCAL_GROUP,
      PT.DEPT,
      cast(SUM(PT.ACTUAL_SUM) as number(19,2)),  
      cast(SUM(PT.PURCHASE_SUM) as number(19,2)),
      cast(SUM(PT.PROFIT_SUM) as number(19,2)),  
      cast(SUM(PT.QTY) as number(19,3))
  from PURCHASE_BY_PRODUCT PT, DB1_PRODUCT T
 where (T.ID=PT.PRODUCT)
   and (t.local_group is not null)
 GROUP BY PT.T_DATE, T.LOCAL_GROUP, PT.DEPT