CREATE TABLE PICKUPLOG (
    QDATE  DATE, 
    QTEXT  VARCHAR2(80),
    XMLDOC CLOB);

CREATE TABLE ACCEPTQUEUELOG(
      DATE_START DATE, 
      DOCUMENT   RAW(8),
      STATE      NUMBER(1,0),
      ERRTEXT    VARCHAR2(1024));

CREATE OR REPLACE FUNCTION XML_clob_to_varchar2 (p_clob_in CLOB ) return varchar2 is
   x_ctr          PLS_INTEGER DEFAULT 1;
   l_chunk_size   PLS_INTEGER DEFAULT 4000;
   l_return       VARCHAR2 ( 32767 ) DEFAULT NULL;
begin
   if DBMS_LOB.getlength (p_clob_in) > 32767 then     
      return null;
   end if;

   while length(NVL(l_return, 0)) <> DBMS_LOB.getlength (p_clob_in) loop
      l_return := l_return || DBMS_LOB.SUBSTR ( p_clob_in,l_chunk_size, ( l_chunk_size * ( x_ctr - 1 ) ) + 1 );
      x_ctr := x_ctr + 1;
   end loop;
   RETURN l_return;
END XML_clob_to_varchar2;
/


CREATE OR REPLACE VIEW PICKUPLOGVIEW ("QDATE", "QTEXT", "XML") AS 
select QDATE, QTEXT, XML_clob_to_varchar2(XMLDOC) from PICKUPLOG;
/
 

declare
   PickupService DOMINO_USER.ID%TYPE := HEXTORAW('87F2000000000002');
   iRes integer;
begin
--  
   DOMINO.login(HEXTORAW('8400000000000001'));
   begin
      select 1 into iRes from DOMINO_USER where id = PickupService;
   exception
      when NO_DATA_FOUND then
         insert into DOMINO_USER (ID, CLASS, TYPE, NAME, CHANGE_DATE, DISABLED)
         values (PickupService, 1, 1, 'pickup', SYSDATE, 1);
   end;
end;
/


