CREATE TABLE QUERY_ALL
   (Q_DATE DATE, 
    QUERY_TEXT VARCHAR2(2000));
--  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
--  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
--  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT); 

CREATE TABLE ZAKAZ_STATE 
   (ZAKAZ RAW(8), 
    STATE RAW(8), 
    CHANGE_DATE DATE, 
    USERID RAW(8), 
    SENDED_IM NUMBER(10, 0)
   );

CREATE TABLE DB1_RESERV
    (DEPT RAW(8) NOT NULL,
     PRODUCT RAW(8) NOT NULL,
     REZ_DATE DATE NOT NULL,
     DOC RAW(8) NOT NULL, 
     LINE RAW(8) NOT NULL,
     A3_DOC RAW(8) NOT NULL,
     AMOUNT NUMBER(19, 4) NOT NULL,
     A4 RAW(8),
     A5 RAW(8),
     SCALE RAW(8));

CREATE OR REPLACE FORCE VIEW DB1_VRSTOCK ("DEPT", "PRODUCT", "DOC", "A4", "A5", "SCALE", "AMOUNT") AS 
  select DEPT,
       PRODUCT,
       DOC,
       A4,
       A5,
       SCALE,
       SUM(AMOUNT) AMOUNT
   from (
      select 
             DEPT,
             PRODUCT,
             A_DOCUMENT AS DOC,
             A_LINE AS A4,
             CLIENT AS A5,
             SCALE,
             QTY AS AMOUNT
         from DB1_RESERVE_A1
      union all
      select 
             DEPT,
             PRODUCT,
             A_DOCUMENT AS DOC,
             A_LINE AS A4,
             CLIENT AS A5,
             SCALE,
             QTY AS AMOUNT
         from DB1_RESERVE_POOL
   )
   group by DEPT, PRODUCT, DOC, A4, A5, SCALE;

CREATE OR REPLACE FORCE VIEW DB1_TRANSFER_A2_VIEW 
("DEPT", "PRODUCT", "QTY", "PURCHASE_SUM", "ACCOUNT_SUM", "RETAIL_SUM", "NETTO_SUM") AS 
  SELECT T54919195.P54919396 as DEPT,T54919195.P54919397 as PRODUCT, SUM(T54919195.P54919400) as QTY, 
         SUM(T54919195.P54919401) as PURCHASE_SUM, SUM(T54919195.P54919402) as ACCOUNT_SUM, 
         SUM(T54919195.P54919403) as RETAIL_SUM, SUM(T54919195.P54919455) as NETTO_SUM 
   FROM (SELECT T54920382.DEPT as P54919396,T54920382.PRODUCT as P54919397,T54920382.QTY as P54919400,
                T54920382.PURCHASE_SUM as P54919401,T54920382.ACCOUNT_SUM as P54919402,
                T54920382.RETAIL_SUM as P54919403,T54920382.NETTO_SUM as P54919455 
           FROM DB1_TRANSFER_A2 T54920382 
      UNION ALL 
         SELECT T54920383.DEPT as P54919396,T54920383.PRODUCT as P54919397,T54920383.QTY as P54919400,
                T54920383.PURCHASE_SUM as P54919401,T54920383.ACCOUNT_SUM as P54919402,
                T54920383.RETAIL_SUM as P54919403,T54920383.NETTO_SUM as P54919455 
           FROM DB1_TRANSFER_POOL T54920383) T54919195 
    GROUP BY T54919195.P54919396,T54919195.P54919397;


exit